User talk:Stephanecharette

From Gramps
Revision as of 02:03, 28 February 2009 by Romjerome (Talk | contribs) (make update-po: new section)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search


Familylines plugin

Hello, I have successfully tested the Familylines plugin under GRAMPS 2.2.3-1 on Debian 4.0r1 (etch) without problems, if you want to specify the version on the plugin page. It works great! Thank you for your excellent plugin! ciao --Trek00 01:13, 2 October 2007 (EDT)

make update-po


I rolled back the changes in "What to do for a release", but I'd like to add your changes back once I understand better. I ran the command in question to see what happens:

make update-po

but found there were thousands of changes in 3.1. I didn't even know about that command -- what exactly is it doing, and should this be done just prior to 3.1? Will it break any translations? Do translators need to check it over before I commit it? Because the changes are in translation, something I'm not familiar with, I'm reluctant to check it in unless someone more familiar looks it over to ensure I'm not breaking things. I would hate to break all translations just a couple of days before we release 3.1! --Stéphane 06:53, 28 February 2009 (UTC)


Seems to me, this will make :

msgmerge --no-wrap x.po gramps.pot -o x.po 

for all *.po files : strings will be marked as fuzzy if there are deprecated on current release. Details is on /po/Makefile.

I posted a mail some weeks ago on all known translators (mails on .po files) :

  • Some translators still translate GRAMPS
  • Some of them do not have time

If we have up-to-date .po files, everyone should be able to :

  • update their translations by using file present on sources

(I do not know if windows users use msgmerge command ?)

  • make tests on last stable release
  • share this updated file

Note, if you think this could break something, maybe we can try this just after release on SVN ?